org.springframework.beans

## Interface PropertyValues

- All Known Implementing Classes:
    MutablePropertyValues, PortletRequestParameterPropertyValues, ServletRequestParameterPropertyValues

      public interface PropertyValues

  Holder containing one or more `PropertyValue` objects, typically comprising one update for a specific target bean.
  Since:
    13 May 2001
  Author:
    Rod Johnson, Juergen Hoeller
  See Also:
    `PropertyValue`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PropertyValues` | `changesSince(PropertyValues old)` Return the changes since the previous PropertyValues.
    `boolean` | `contains(String propertyName)` Is there a property value (or other processing entry) for this property?
    `PropertyValue` | `getPropertyValue(String propertyName)` Return the property value with the given name, if any.
    `PropertyValue[]` | `getPropertyValues()` Return an array of the PropertyValue objects held in this object.
    `boolean` | `isEmpty()` Does this holder not contain any PropertyValue objects at all?

- - ### Method Detail

    - #### getPropertyValues

          PropertyValue[] getPropertyValues()

      Return an array of the PropertyValue objects held in this object.

    - #### getPropertyValue

          PropertyValue getPropertyValue(String propertyName)

      Return the property value with the given name, if any.
      Parameters:
        `propertyName` - the name to search for
      Returns:
        the property value, or `null`

    - #### changesSince

          PropertyValues changesSince(PropertyValues old)

      Return the changes since the previous PropertyValues. Subclasses should also override `equals`.
      Parameters:
        `old` - old property values
      Returns:
        PropertyValues updated or new properties. Return empty PropertyValues if there are no changes.
      See Also:
        `Object.equals(java.lang.Object)`

    - #### contains

          boolean contains(String propertyName)

      Is there a property value (or other processing entry) for this property?
      Parameters:
        `propertyName` - the name of the property we're interested in
      Returns:
        whether there is a property value for this property

    - #### isEmpty

          boolean isEmpty()

      Does this holder not contain any PropertyValue objects at all?